

// anche questa classe è interamente per il modulo 1
import java.util.ArrayList;

public class Algoritmo {
    private int nWords;
    private ArrayList<String> encryptedWords;
    private ArrayList<String> keyWords;
    private ArrayList<String> resultWords;

    public Algoritmo(int nWords, ArrayList<String> encryptedWords, ArrayList<String> keyWords) {
        this.nWords = nWords;
        this.encryptedWords = encryptedWords;
        this.keyWords = keyWords;
        doAlgorithm();
    }
    
    private void doAlgorithm() {
		resultWords = new ArrayList<>();
		for (int i = nWords / 2; i < nWords; i++) {
			String encryptedWord = encryptedWords.get(i);
			String keyWord = keyWords.get(i);
			StringBuilder decryptedWord = new StringBuilder();

			for (int j = 0; j < encryptedWord.length(); j++) {
				int encryptedChar = (int) encryptedWord.charAt(j);
				int keyChar = (int) keyWord.charAt(j);
				int decryptedChar = (encryptedChar+ keyChar -97);
				System.out.println("Encrypted char: " + encryptedChar);
				System.out.println("Key char: " + keyChar);
				System.out.println("Decrypted char: " + decryptedChar);
				
				decryptedWord.append((char)decryptedChar);
			}
			
			resultWords.add(decryptedWord.toString());
		}
		printResult();
	}
    
    private void printResult() {
		for (String word : resultWords) {
			System.out.println(word);
		}
	}
}
